> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# deactivateCompanyBankAccount

> 
The `deactivateCompanyBankAccount` API deactivates a company's bank account in the system.

### What it does:

- Deactivates the company's funding source while preserving account records
- Prevents future payroll transactions from using the deactivated account

### Notes:

- At least one active bank account must be linked to a company at all times
- Historical banking history is maintained for compliance
- Deactivated bank accounts cannot be re-activated they must be manually added again using `addCompanyBankAccount`



## OpenAPI

````yaml put /adminPortal/deactivateCompanyBankAccount
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/deactivateCompanyBankAccount:
    put:
      tags: []
      summary: deactivateCompanyBankAccount
      description: >-

        The `deactivateCompanyBankAccount` API deactivates a company's bank
        account in the system.


        ### What it does:


        - Deactivates the company's funding source while preserving account
        records

        - Prevents future payroll transactions from using the deactivated
        account


        ### Notes:


        - At least one active bank account must be linked to a company at all
        times

        - Historical banking history is maintained for compliance

        - Deactivated bank accounts cannot be re-activated they must be manually
        added again using `addCompanyBankAccount`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: deactivateCompanyBankAccount
                  example: deactivateCompanyBankAccount
                companyId:
                  type: string
                  format: uuid
              required:
                - method
                - companyId
            example:
              method: deactivateCompanyFundingSourceEntity
              companyId: 5DB0A2B8-5346-41E5-9CE7-444482475C
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  companyFundingSourceEntity:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                      companyId:
                        type: string
                    required:
                      - status
                      - message
                      - companyId
                required:
                  - companyFundingSourceEntity
              example:
                companyFundingSourceEntity:
                  status: Inactive
                  message: >-
                    The Company's Bank Account has been deactivated
                    successfully.
                  companyId: 914CB6A7-11D4-463F-8C25-C07F615CEF11
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````